# Method: networks.reports.run

- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.reports/run#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.reports/run#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.reports/run#body.request_body)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.reports/run#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.reports/run#body.aspect)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.reports/run#try-it)

Initiates the execution of an existing report asynchronously. Users can get the report by polling this operation using `OperationsService.GetOperation`. Poll every 5 seconds initially, with an exponential backoff. Once a report is complete, the operation will contain a `RunReportResponse` in its response field containing a reportResult that can be passed to the `FetchReportResultRows` method to retrieve the report data.

### HTTP request

`POST https://admanager.googleapis.com/v1/{name}:run`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The report to run. Format: `networks/{networkCode}/reports/{reportId}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.operations.reports.runs#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admanager`
- `https://www.googleapis.com/auth/admanager.readonly
  `

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).